Bug 172057 - Cannot add a radio station
Cannot add a radio station
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-30 00:48 EDT by Pete Zaitcev
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-14 01:34:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2005-10-30 00:48:35 EDT
Description of problem:

A new radio station is not being added. The dialog pops up fine, but when
all parameters are entered, new entry does not appear in the list of stations.

Version-Release number of selected component (if applicable):

rhythmbox-0.9.1-1

How reproducible:

100%

Steps to Reproduce:
1. Select "Radio" in the Source list, right button click,
   choose "New Internet Radio Station"
2. Enter name, Genre, Station, for example
     JAR #2 (STO)
     J-pop/Anime
     http://128k5.misproductions.com:9012/jar48.ogg
3. Click "Add" button

Actual results:

Nothing happens.

Expected results:

A new entry in the list of stations.

Additional info:

This happened a few builds ago, sorry for the delay in reporting.
I do not add stations all that often.

This used to work fine in FC3 at least. Maybe FC4 too. So, the
breakage is not that old.
Comment 1 Pete Zaitcev 2005-12-20 02:27:41 EST
Still broken in 0.9.2-3.1.
Comment 2 Ryan Skadberg 2006-01-12 00:49:36 EST
After talking with the developers, this was fixed, broken and then fixed again.
 The latest fix, which has it currently working in CVS was added 2005-12-28.  A
0.9.3 should be out RSN :)
Comment 3 Pete Zaitcev 2006-01-12 01:08:38 EST
Thank you, I'll test and close the bug as appropriate.
Comment 4 Pete Zaitcev 2006-02-13 09:09:48 EST
rhythmbox-0.9.3.1-1.2 still has the problem. The dialog is different now,
it only asks for URL, and not the Genre or station name. Result is the same:
no station added.
Comment 5 Matthias Clasen 2006-02-14 00:56:05 EST
Works here with 0.9.3.1-1.2, with the data given above.
Comment 6 Matthias Clasen 2006-02-15 07:34:23 EST
Pete, are you still seeing this ?
Comment 7 Pete Zaitcev 2006-02-15 15:13:19 EST
But of course. See, same version! Gotten from "yum update rhythmbox".

However, I thought that perhaps something was stuck in libraries, so I was
going to wait for the rebuild to finish and then do "yum update" for everything.

I can try rebuilding this from source and poke with debugger and printfs.
Do you have any pointers about a specific area of code?
Comment 8 Pete Zaitcev 2006-02-18 22:47:13 EST
I have done "yum update" and the symptoms persisted.
Comment 9 Pete Zaitcev 2006-05-14 01:34:26 EDT
Seems like finally working in rhythmbox-0.9.4.1-1.fc5.1.

Note You need to log in before you can comment on or make changes to this bug.